%define name            jta
%define version         1.0.1
%define cvs_version     1_0_1B
%define release         0.b.3jpp_1rh
%define section         non-free
%define summary		Java Transaction API

URL:            http://java.sun.com/products/jta/

Source0:        %{name}-%{cvs_version}-classes.zip
#NoSource:       0

Source1:        %{name}-%{cvs_version}-doc.zip
#NoSource:       1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        %{summary}
License:        Sun Binary Code License
Group:          Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5

%description
JTA specifies standard Java(tm) interfaces between a transaction manager
and the parties involved in a distributed transaction system: the
resource manager, the application server, and the transactional
applications.

%package javadoc
Summary:        Javadoc for %{summary}
Group:          Development/Documentation

%description javadoc
Javadoc for %{summary}.

%prep
%setup -q -c

%setup -q -D -T -a 1

%build
%jar cf %{name}-%{version}.jar javax
%jar i  %{name}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755           $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 0755           $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/*                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version}     $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.0.1-0.b.3jpp_1rh
- RH vacuuming
- Imply with-javadoc.

* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 0:1.0.1-0.b.3jpp
- remove wrong license

* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 0:1.0.1-0.b.2jpp
- conditionalize javadoc subpackage
- mark javadoc as %%doc
- own versionless javadoc link (%%ghost)
- invoke jar directly, not through ant; removed ant build requirement

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:1.0.1-0.b.1jpp
- fix jpackage-utils requirement
- add versioned javadocs
- add epoch
- no bzip2 on license
- fix release tag

* Wed Mar 12 2003 Nicolas Mailhot <Nicolas.Mailhot@laPoste.net> 1.0.1b-3jpp
- For jpackage-utils 1.5

* Sun Dec 29 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0.1b-2jpp
- Fix typo, add ant build requirement.

* Sun Dec 29 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0.1b-1jpp
- Update to 1.0.1b.

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1a-4jpp
- vendor, distribution, group tags
- corrected doc files
- corrected line too long in description

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1a-3jpp
- section macro
- nosrc package
- bzipped additional sources

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-2jpp
- added Sun Binary Code Licence

* Thu Jan 17 2002 Henri Gomez <hgomez@slib.fr> 1.0.1a-1jpp
- Initial release
